<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:25 CEST 2019 -->
<title>RowValue (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RowValue (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":9,"i6":9,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValueBuilder.html" title="class in org.firebirdsql.gds.ng.fields"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/fields/RowValue.html" target="_top">Frames</a></li>
<li><a href="RowValue.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.fields</div>
<h2 title="Class RowValue" class="title">Class RowValue</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.fields.RowValue</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">RowValue</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Collection of values of fields. Usually a row or set of parameters.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#EMPTY_ROW_VALUE">EMPTY_ROW_VALUE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#deepCopy--">deepCopy</a></span>()</code>
<div class="block">Copies this <code>RowValue</code> and the values it contains.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#defaultFor-org.firebirdsql.gds.ng.fields.RowDescriptor-">defaultFor</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor)</code>
<div class="block">Convenience method for creating a default, uninitialized, row value for a <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowDescriptor</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#getCount--">getCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#getFieldData-int-">getFieldData</a></span>(int&nbsp;index)</code>
<div class="block">Get the data of the field with <code>index</code>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#isInitialized-int-">isInitialized</a></span>(int&nbsp;index)</code>
<div class="block">Is the field with <code>index</code> initialized.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#of-byte:A...-">of</a></span>(byte[]...&nbsp;rowData)</code>
<div class="block">Convenience method for populating a row value from byte arrays.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#of-org.firebirdsql.gds.ng.fields.RowDescriptor-byte:A...-">of</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
  byte[]...&nbsp;rowData)</code>
<div class="block">Convenience method for populating a row value from a RowDescriptor and byte arrays.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#reset--">reset</a></span>()</code>
<div class="block">Resets the state of this row value to uninitialized.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#setFieldData-int-byte:A-">setFieldData</a></span>(int&nbsp;index,
            byte[]&nbsp;data)</code>
<div class="block">Sets the data of the field with <code>index</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="EMPTY_ROW_VALUE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EMPTY_ROW_VALUE</h4>
<pre>public static final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a> EMPTY_ROW_VALUE</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCount</h4>
<pre>public&nbsp;int&nbsp;getCount()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The number of fields.</dd>
</dl>
</li>
</ul>
<a name="setFieldData-int-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFieldData</h4>
<pre>public&nbsp;void&nbsp;setFieldData(int&nbsp;index,
                         byte[]&nbsp;data)</pre>
<div class="block">Sets the data of the field with <code>index</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Index of the field</dd>
<dd><code>data</code> - byte array with data for field, or <code>null</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IndexOutOfBoundsException.html?is-external=true" title="class or interface in java.lang">IndexOutOfBoundsException</a></code> - if index is not <code>0 &lt;= index &gt; getCount()</code></dd>
</dl>
</li>
</ul>
<a name="getFieldData-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFieldData</h4>
<pre>public&nbsp;byte[]&nbsp;getFieldData(int&nbsp;index)</pre>
<div class="block">Get the data of the field with <code>index</code>.
 <p>
 For uninitialized fields, returns <code>null</code>. To distinguish between uninitialized or initialized with
 <code>null</code>, use <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#isInitialized-int-"><code>isInitialized(int)</code></a>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Index of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>byte array with data for field, or <code>null</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IndexOutOfBoundsException.html?is-external=true" title="class or interface in java.lang">IndexOutOfBoundsException</a></code> - if index is not <code>0 &lt;= index &gt; getCount()</code></dd>
</dl>
</li>
</ul>
<a name="reset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre>public&nbsp;void&nbsp;reset()</pre>
<div class="block">Resets the state of this row value to uninitialized.</div>
</li>
</ul>
<a name="isInitialized-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isInitialized</h4>
<pre>public&nbsp;boolean&nbsp;isInitialized(int&nbsp;index)</pre>
<div class="block">Is the field with <code>index</code> initialized.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - Index of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if the field is initialized</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IndexOutOfBoundsException.html?is-external=true" title="class or interface in java.lang">IndexOutOfBoundsException</a></code> - if index is not <code>0 &lt;= index &gt; getCount()</code></dd>
</dl>
</li>
</ul>
<a name="defaultFor-org.firebirdsql.gds.ng.fields.RowDescriptor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>defaultFor</h4>
<pre>public static&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;defaultFor(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor)</pre>
<div class="block">Convenience method for creating a default, uninitialized, row value for a <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowDescriptor</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowDescriptor</code> - The row descriptor</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>RowValue</code> object</dd>
</dl>
</li>
</ul>
<a name="of-org.firebirdsql.gds.ng.fields.RowDescriptor-byte:A...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>of</h4>
<pre>public static&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;of(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                          byte[]...&nbsp;rowData)</pre>
<div class="block">Convenience method for populating a row value from a RowDescriptor and byte arrays.
 <p>
 Note this method, and the similar <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValueBuilder.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowValueBuilder</code></a> are mainly intended for
 use in <a href="../../../../../org/firebirdsql/jdbc/FBDatabaseMetaData.html" title="class in org.firebirdsql.jdbc"><code>FBDatabaseMetaData</code></a>.
 </p>
 <p>
 Compared to <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#of-byte:A...-"><code>of(byte[][])</code></a>, this method has the advantage that it checks if the number of byte arrays
 is consistent with the row descriptor.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowDescriptor</code> - The row descriptor</dd>
<dd><code>rowData</code> - An array of byte arrays with the field data.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>new <code>RowValue</code> object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - If the <code>rowData</code> byte array count does not match field count of the row descriptor</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValueBuilder.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowValueBuilder</code></a></dd>
</dl>
</li>
</ul>
<a name="of-byte:A...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>of</h4>
<pre>public static&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;of(byte[]...&nbsp;rowData)</pre>
<div class="block">Convenience method for populating a row value from byte arrays.
 <p>
 This method is mainly intended for use with direct manipulation in the low-level gds-ng API.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowData</code> - An array of byte arrays with the field data.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>new <code>RowValue</code> object</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValueBuilder.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowValueBuilder</code></a>, 
<a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#of-org.firebirdsql.gds.ng.fields.RowDescriptor-byte:A...-"><code>of(RowDescriptor, byte[][])</code></a></dd>
</dl>
</li>
</ul>
<a name="deepCopy--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deepCopy</h4>
<pre>public&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;deepCopy()</pre>
<div class="block">Copies this <code>RowValue</code> and the values it contains.
 <p>
 As the field values are mutable, it is important to consider whether you need to be able
 to see modifications to the field data, or if you need fields with the same original data. If the former,
 pass the original, if the latter use this method to obtain a copy.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Copy of this object with cloned field values, for empty rows (count is 0) <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html#EMPTY_ROW_VALUE"><code>EMPTY_ROW_VALUE</code></a>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptorBuilder.html" title="class in org.firebirdsql.gds.ng.fields"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/fields/RowValueBuilder.html" title="class in org.firebirdsql.gds.ng.fields"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/fields/RowValue.html" target="_top">Frames</a></li>
<li><a href="RowValue.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
